package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.invoice;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.invoice.QchjcInvoiceApplyRelationEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.invoice.QchjcInvoiceApplyRelationEntityExample;
import cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.invoice.QchjcApplyResVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QchjcInvoiceApplyRelationEntityMapper {
    long countByExample(QchjcInvoiceApplyRelationEntityExample example);

    int deleteByExample(QchjcInvoiceApplyRelationEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcInvoiceApplyRelationEntity record);

    int insertSelective(QchjcInvoiceApplyRelationEntity record);

    List<QchjcInvoiceApplyRelationEntity> selectByExample(QchjcInvoiceApplyRelationEntityExample example);

    QchjcInvoiceApplyRelationEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcInvoiceApplyRelationEntity record, @Param("example") QchjcInvoiceApplyRelationEntityExample example);

    int updateByExample(@Param("record") QchjcInvoiceApplyRelationEntity record, @Param("example") QchjcInvoiceApplyRelationEntityExample example);

    int updateByPrimaryKeySelective(QchjcInvoiceApplyRelationEntity record);

    int updateByPrimaryKey(QchjcInvoiceApplyRelationEntity record);

    List<QchjcInvoiceApplyRelationEntity> selectInvoiceApplyResByQchjcApplyId(@Param("id") Long id);

    List<QchjcApplyResVo> selectQchjcApplyResByInvoiceSn(@Param("invoiceSn") String invoiceSn);
}